summaryrefslogtreecommitdiffstats
path: root/source/l/zlib/zlib.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/zlib/zlib.SlackBuild')
-rwxr-xr-xsource/l/zlib/zlib.SlackBuild62
1 files changed, 30 insertions, 32 deletions
diff --git a/source/l/zlib/zlib.SlackBuild b/source/l/zlib/zlib.SlackBuild
index eb2842806..93a0e3787 100755
--- a/source/l/zlib/zlib.SlackBuild
+++ b/source/l/zlib/zlib.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2005-2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005-2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,30 +20,35 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=zlib
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-2}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
+ i?86) export ARCH=i586 ;;
arm*) export ARCH=arm ;;
# Unless $ARCH is already set, use uname -m for all other archs:
*) export ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-zlib
-if [ "$ARCH" = "i386" ]; then
- SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
- LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
@@ -61,7 +66,7 @@ mkdir -p $TMP $PKG
cd $TMP
rm -rf zlib-$VERSION
-tar xvf $CWD/zlib-$VERSION.tar.?z* || exit 1
+tar xvf $CWD/zlib-$VERSION.tar.xz || exit 1
cd zlib-$VERSION || exit 1
chown -R root:root .
@@ -73,29 +78,11 @@ find . \
CFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=/usr
-make clean
-make || exit 1
-CFLAGS="$SLKCFLAGS" \
-./configure \
--prefix=/usr \
--libdir=/usr/lib${LIBDIRSUFFIX} \
- --shared
+ --shared || exit 1
make || exit 1
-
-mkdir -p $PKG/usr/include
-cp -a zlib.h zconf.h $PKG/usr/include
-chmod 644 $PKG/usr/include/*
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
-cp -a libz.a libz.so* $PKG/usr/lib${LIBDIRSUFFIX}
-chmod 755 $PKG/usr/lib${LIBDIRSUFFIX}/*
-chmod 644 $PKG/usr/lib${LIBDIRSUFFIX}/libz.a
-mkdir -p $PKG/usr/man/man3
-cat zlib.3 | gzip -9c > $PKG/usr/man/man3/zlib.3.gz
-
-# Add pkgconfig file:
-mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig
-cat zlib.pc > $PKG/usr/lib${LIBDIRSUFFIX}/pkgconfig/zlib.pc
+make install DESTDIR=$PKG || exit 1
# Now that libkmod requires libz, we had better move the shared library
# up a level:
@@ -114,6 +101,17 @@ mkdir $PKG/lib${LIBDIRSUFFIX}
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
+# Move man page directory:
+mv $PKG/usr/share/man $PKG/usr
+rmdir $PKG/usr/share
+
+# Compress manual pages:
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do
+ ln -s $( readlink $i ).gz $i.gz
+ rm $i
+done
+
mkdir -p $PKG/usr/doc/zlib-$VERSION
cp -a \
FAQ INDEX README* \